# Kubernetes::Object::V2beta2HorizontalPodAutoscalerCondition

## Load the model package
```perl
use Kubernetes::Object::V2beta2HorizontalPodAutoscalerCondition;
```

## Properties
Name | Type | Description | Notes
------------ | ------------- | ------------- | -------------
**last_transition_time** | **DateTime** | lastTransitionTime is the last time the condition transitioned from one status to another | [optional] 
**message** | **string** | message is a human-readable explanation containing details about the transition | [optional] 
**reason** | **string** | reason is the reason for the condition&#39;s last transition. | [optional] 
**status** | **string** | status is the status of the condition (True, False, Unknown) | 
**type** | **string** | type describes the current condition | 

[[Back to Model list]](../README.md#documentation-for-models) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to README]](../README.md)


